---
title: SVGSymbolElement
slug: Web/API/SVGSymbolElement
tags:
  - API
  - Interface
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
  - SVGSymbolElement
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGSymbolElement</code></strong> interface corresponds to the {{SVGElement("symbol")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't implement any specific properties, but inherits properties from its parent interface, {{domxref("SVGGraphicsElement")}}, and implements properties from {{domxref("SVGFitToViewBox")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGGraphicsElement")}}, and implements methods from {{domxref("SVGFitToViewBox")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#InterfaceSVGSymbolElement", "SVGSymbolElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Changed the inheritance from {{domxref("SVGElement")}} to {{domxref("SVGGraphicsElement")}} and removed the implemented interfaces {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, and {{domxref("SVGStylable")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#InterfaceSVGSymbolElement", "SVGSymbolElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGSymbolElement")}}</p>
